Preview charge dates
POST
/api/v1/schedule/preview
const url = 'http://127.0.0.1:8484/api/v1/schedule/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"count":1,"dayRule":"day","firstCharge":"example","interval":1,"unit":"day","weekendShift":"none"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://127.0.0.1:8484/api/v1/schedule/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "count": 1, "dayRule": "day", "firstCharge": "example", "interval": 1, "unit": "day", "weekendShift": "none" }'Computes the charge dates of a billing rule with Exhale’s engine (month-end and leap-day aware) without saving anything.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
count
integer format: int64
dayRule
string
firstCharge
required
string
interval
required
integer format: int64
unit
required
string
weekendShift
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
dates
required
Array<string> | null
Example
{ "$schema": "https://example.com/api/schemas/SchedulePreview.json"}default
Section titled “default”Error
Media typeapplication/problem+json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "$schema": "https://example.com/api/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}